## FUNCTIONS

### Voraussetzungen

Sie haben die Demo-Daten für das SQL-Tutorial erzeugt.

Melden Sie sich als Benutzer MONA an die Demo-Datenbankinstanz DEMODB an.

Legen Sie Datenbankfunktionen an. Verfahren Sie dazu wie z.B. in SQL-Tutorial, Datenbankfunktionen angegeben.

### Beispiele

Anhand der Systemtabelle FUNCTIONS können Sie unter anderem folgende Datenbankinformationen ermitteln:

● Alle Datenbankfunktionen des Schemas HOTEL, die in den letzten 10 Tagen erzeugt wurden

SELECT schemaname, functionname
FROM DOMAIN.FUNCTIONS
WHERE schemaname = 'HOTEL' AND createdate >= SUBDATE(DATE,10)

● Parameter der Datenbankfunktion AVGPRICE

SELECT schemaname, functionname, parameter
FROM DOMAIN.FUNCTIONS
WHERE functionname = 'AVGPRICE'

Parameter einer Datenbankfunktion: siehe DBPROCPARAMS